package org.eclipse.pop.gui.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.pop.gui.views.PolychronyView;

import common.UserActions;

/**
 * Our sample handler extends AbstractHandler, an IHandler base class.
 * @see org.eclipse.core.commands.IHandler
 * @see org.eclipse.core.commands.AbstractHandler
 */
public class CopyHandler extends AbstractHandler {
	/**
	 * The constructor.
	 */
	public CopyHandler() {
	}

	/**
	 * the command has been executed, so extract extract the needed information
	 * from the application context.
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				PolychronyView.getPolychrony().getGw().actionPerformedPwindowListener(null, UserActions.J_copy_graph, UserActions.J_no_action);
			}
		});
		return null;
	}
}
